## amazon-ecs-init-1.53.0-1.tar.gz

=== Makefile ===
# Copyright 2014-2020 Amazon.com, Inc. or its affiliates. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the
# "License"). You may not use this file except in compliance
#  with the License. A copy of the License is located at
#
#     http://aws.amazon.com/apache2.0/
#
# or in the "license" file accompanying this file. This file is
# distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
# CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and
# limitations under the License.
VERSION = $(shell cat ecs-init/ECSVERSION)

.PHONY: dev generate lint static test build-mock-images sources rpm srpm govet

dev:
	./scripts/gobuild.sh dev

generate:
	PATH=$(PATH):$(shell pwd)/scripts go generate -v ./...

PLATFORM:=$(shell uname -s)
ifeq (${PLATFORM},Linux)
	dep_arch=linux-386
else ifeq (${PLATFORM},Darwin)
	dep_arch=darwin-386
endif

DEP_VERSION=v0.5.0
.PHONY: get-dep
get-dep: bin/dep

bin/dep:
	mkdir -p ./bin
	curl -L https://github.com/golang/dep/releases/download/$(DEP_VERSION)/dep-${dep_arch} -o ./bin/dep
	chmod +x ./bin/dep

static:
	./scripts/gobuild.sh

govet:
	go vet ./...

test:
	go test -count=1 -short -v -coverprofile cover.out ./...
	go tool cover -func cover.out > coverprofile.out

.PHONY: analyze-cover-profile
analyze-cover-profile: coverprofile.out
	./scripts/analyze-cover-profile

# all .go files in the ecs-init
GOFILES:=$(shell go list -f '{{$$p := .}}{{range $$f := .GoFiles}}{{$$p.Dir}}/{{$$f}} {{end}}' ./ecs-init/...)

.PHONY: gocyclo
gocyclo:
	# Run gocyclo over all .go files
	gocyclo -over 12 ${GOFILES}

GOFMTFILES:=$(shell find ./ecs-init -not -path './ecs-init/vendor/*' -type f -iregex '.*\.go')

.PHONY: importcheck
importcheck:
	$(eval DIFFS:=$(shell goimports -l $(GOFMTFILES)))
	@if [ -n "$(DIFFS)" ]; then echo "Files incorrectly formatted. Fix formatting by running goimports:"; echo "$(DIFFS)"; exit 1; fi

.PHONY: static-check
static-check: gocyclo govet importcheck
	# use default checks of staticcheck tool, except style checks (-ST*)
	# https://github.com/dominikh/go-tools/tree/master/cmd/staticcheck
	staticcheck -tests=false -checks "inherit,-ST*" ./ecs-init/...

test-in-docker:
	docker build -f scripts/dockerfiles/test.dockerfile -t "amazon/amazon-ecs-init-test:make" .
	docker run -v "$(shell pwd):/go/src/github.com/aws/amazon-ecs-init" "amazon/amazon-ecs-init-test:make"

build-mock-images:
	docker build -t "test.localhost/amazon/mock-ecs-agent" -f "scripts/dockerfiles/mock-agent.dockerfile" .
	docker build -t "test.localhost/amazon/wants-update" -f "scripts/dockerfiles/wants-update.dockerfile" .
	docker build -t "test.localhost/amazon/exit-success" -f "scripts/dockerfiles/exit-success.dockerfile" .

sources.tgz:
	./scripts/update-version.sh
	cp packaging/amazon-linux-ami/ecs-init.spec ecs-init.spec
	cp packaging/amazon-linux-ami/ecs.conf ecs.conf
	cp packaging/amazon-linux-ami/ecs.service ecs.service
	cp packaging/amazon-linux-ami/amazon-ecs-volume-plugin.conf amazon-ecs-volume-plugin.conf
	cp packaging/amazon-linux-ami/amazon-ecs-volume-plugin.service amazon-ecs-volume-plugin.service
	cp packaging/amazon-linux-ami/amazon-ecs-volume-plugin.socket amazon-ecs-volume-plugin.socket
	tar -czf ./sources.tgz ecs-init scripts

# Hook to perform preparation steps prior to the sources target.
prepare-sources::

sources: prepare-sources sources.tgz

.srpm-done: sources.tgz
	test -e SOURCES || ln -s . SOURCES
	rpmbuild --define "%_topdir $(PWD)" -bs ecs-init.spec
	find SRPMS/ -type f -exec cp {} . \;
	touch .srpm-done

srpm: .srpm-done

.rpm-done: sources.tgz
	test -e SOURCES || ln -s . SOURCES
	rpmbuild --define "%_topdir $(PWD)" -bb ecs-init.spec
	find RPMS/ -type f -exec cp {} . \;
	touch .rpm-done

rpm: .rpm-done

ARCH:=$(shell uname -m)
ifeq (${ARCH},x86_64)
	AGENT_URL=https://s3.amazonaws.com/amazon-ecs-agent/ecs-agent-v${VERSION}.tar
else ifeq (${ARCH},aarch64)
	AGENT_URL=https://s3.amazonaws.com/amazon-ecs-agent/ecs-agent-arm64-v${VERSION}.tar
endif

BUILDROOT/ecs-agent.tar:
	mkdir -p BUILDROOT
	curl -o BUILDROOT/ecs-agent.tar ${AGENT_URL}

.generic-rpm-done:
	./scripts/update-version.sh
	cp packaging/generic-rpm/amazon-ecs-init.spec amazon-ecs-init.spec
	cp packaging/generic-rpm/ecs.service ecs.service
	tar -czf ./sources.tgz ecs-init scripts
	test -e SOURCES || ln -s . SOURCES
	rpmbuild --define "%_topdir $(PWD)" -bb amazon-ecs-init.spec
	find RPMS/ -type f -exec cp {} . \;
	touch .rpm-done

generic-rpm: .generic-rpm-done

.PHONY: deb
deb: .deb-done
.deb-done: BUILDROOT/ecs-agent.tar
	./scripts/update-version.sh
	tar -czf ./amazon-ecs-init_${VERSION}.orig.tar.gz ecs-init scripts README.md
	cp -r packaging/generic-deb/debian ecs-init scripts README.md BUILDROOT
	cd BUILDROOT && debuild -uc -us --lintian-opts --suppress-tags bad-distribution-in-changes-file,file-in-unusual-dir
	touch .deb-done

get-deps:
	go get golang.org/x/tools/cover
	go get golang.org/x/tools/cmd/cover
	go get github.com/fzipp/gocyclo/cmd/gocyclo
	go get golang.org/x/tools/cmd/goimports
	go get github.com/golang/mock/mockgen
	go get honnef.co/go/tools/cmd/staticcheck

clean:
	-rm -f ecs-init.spec
	-rm -f ecs.conf
	-rm -f ecs.service
	-rm -f amazon-ecs-volume-plugin.conf
	-rm -f amazon-ecs-volume-plugin.service
	-rm -f amazon-ecs-volume-plugin.socket
	-rm -rf ./bin
	-rm -f ./sources.tgz
	-rm -f ./amazon-ecs-init
	-rm -f ./amazon-ecs-init-*.rpm
	-rm -f ./ecs-agent-*.tar
	-rm -f ./ecs-init-*.src.rpm
	-rm -rf ./ecs-init-*
	-rm -rf ./BUILDROOT BUILD RPMS SRPMS SOURCES SPECS
	-rm -rf ./x86_64
	-rm -f ./amazon-ecs-init_${VERSION}*
	-rm -f .srpm-done .rpm-done .generic-rpm-done
	-rm -f .deb-done
	-rm -f cover.out
	-rm -f coverprofile.out
	-rm -f amazon-ecs-volume-plugin

=== ecs-init/vendor/github.com/fsouza/go-dockerclient/Makefile ===
.PHONY: \
	all \
	lint \
	vet \
	fmt \
	fmtcheck \
	pretest \
	test \
	integration \
	clean

all: test

lint:
	@ go get -v github.com/golang/lint/golint
	[ -z "$$(golint . | grep -v 'type name will be used as docker.DockerInfo' | grep -v 'context.Context should be the first' | tee /dev/stderr)" ]

vet:
	go vet ./...

fmt:
	gofmt -s -w .

fmtcheck:
	[ -z "$$(gofmt -s -d . | tee /dev/stderr)" ]

testdeps:
	go get -d -t ./...

pretest: testdeps lint vet fmtcheck

gotest:
	go test $(GO_TEST_FLAGS) ./...

test: pretest gotest

integration:
	go test -tags docker_integration -run TestIntegration -v

clean:
	go clean ./...

=== packaging/generic-deb/debian/changelog ===
amazon-ecs-init (1.53.0-1) stable; urgency=medium

  * Cache Agent version 1.53.0

 -- Angel Velazquez <angelcar@amazon.com>  Wed, 09 Jun 2021 22:30:00 +0000

amazon-ecs-init (1.52.2-2) stable; urgency=medium

  * Cache Agent version 1.52.2
  * ecs-anywhere-install: fix incorrect download url when running in cn region

 -- Feng Xiong <fenxiong@amazon.com>  Tue, 25 May 2021 19:30:00 +0000

amazon-ecs-init (1.52.2-1) stable; urgency=medium

  * Cache Agent version 1.52.2
  * ecs-anywhere-install: remove dependency on gpg key server
  * ecs-anywhere-install: allow sandboxed apt installations

 -- Feng Xiong <fenxiong@amazon.com>  Thu, 20 May 2021 01:00:00 +0000

amazon-ecs-init (1.52.1-1) stable; urgency=medium

  * Cache Agent version 1.52.1

 -- Feng Xiong <fenxiong@amazon.com>  Fri, 14 May 2021 18:40:00 +0000

amazon-ecs-init (1.52.0-1) stable; urgency=medium

  * Cache Agent version 1.52.0
  * Add support for ECS EXTERNAL launch type (ECS Anywhere)

 -- Ray Allan <fierlion@amazon.com>  Wed, 28 Apr 2021 20:05:00 +0000

amazon-ecs-init (1.51.0-1) stable; urgency=medium

  * Cache Agent version 1.51.0

 -- Shubham Goyal <shugy@amazon.com>  Wed, 31 Mar 2021 09:32:00 +0000

amazon-ecs-init (1.50.3-1) stable; urgency=medium

  * Cache Agent version 1.50.3

 -- Mythri Garaga Manjunatha <mythr@amazon.com>  Wed, 17 Mar 2021 18:02:00 +0000

amazon-ecs-init (1.50.2-1) stable; urgency=medium

  * Cache Agent version 1.50.2

 -- Meghna Srivastav <mssrivas@amazon.com>  Fri, 19 Feb 2021 19:03:32 +0000

amazon-ecs-init (1.50.1-1) stable; urgency=medium

  * Cache Agent version 1.50.1
  * Does not restart ECS Agent when it exits with exit code 5

 -- Shubham Goyal <shugy@amazon.com>  Wed, 10 Feb 2021 20:43:00 +0000

amazon-ecs-init (1.50.0-1) stable; urgency=medium

  * Cache Agent version 1.50.0
  * Allows ECS customers to execute interactive commands inside containers.

 -- Utsa Bhattacharjya <utsa@amazon.com>  Fri, 22 Jan 2021 11:54:00 +0000

amazon-ecs-init (1.49.0-1) stable; urgency=medium

  * Cache Agent version 1.49.0
  * Removes iptable rule that drops packets to port 51678 unconditionally on ecs service stop

 -- Shubham Goyal <shugy@amazon.com>  Wed, 06 Jan 2021 11:54:00 +0000

amazon-ecs-init (1.48.1-1) stable; urgency=medium

  * Cache Agent version 1.48.1

 -- Shubham Goyal <shugy@amazon.com>  Mon, 23 Nov 2020 11:54:00 +0000

amazon-ecs-init (1.48.0-2) stable; urgency=medium

  * Cache Agent version 1.48.0

 -- Shubham Goyal <shugy@amazon.com>  Thu, 19 Nov 2020 20:19:00 +0000

amazon-ecs-init (1.47.0-1) stable; urgency=medium

  * Cache Agent version 1.47.0

 -- Mythri Garaga Manjunatha <mythr@amazon.com>  Fri, 30 Oct 2020 19:00:00 +0000

amazon-ecs-init (1.46.0-1) stable; urgency=medium

  * Cache Agent version 1.46.0

 -- Meghna Srivastav <mssrivas@amazon.com>  Fri, 16 Oct 2020 19:03:32 +0000

amazon-ecs-init (1.45.0-1) stable; urgency=medium

  * Cache Agent version 1.45.0
  * Block offhost access to agent's introspection port by default. Configurable via env ECS_ALLOW_OFFHOST_INTROSPECTION_ACCESS

 -- Cam Sparr <cssparr@amazon.com>  Wed, 30 Sep 2020 19:00:00 +0000

amazon-ecs-init (1.44.4-1) stable; urgency=medium

  * Cache Agent version 1.44.4

 -- Ray Allan <fierlion@amazon.com>  Tue, 15 Sep 2020 19:34:32 +0000

amazon-ecs-init (1.44.3-1) stable; urgency=medium

  * Cache Agent version 1.44.3

 -- Meghna Srivastav  <mssrivas@amazon.com>  Wed, 02 Sep 2020 19:03:32 +0000

amazon-ecs-init (1.44.2-1) stable; urgency=medium

  * Cache Agent version 1.44.2

 -- Utsa Bhattacharjya <utsa@amazon.com>  Wed, 26 Aug 2020 19:03:32 +0000

amazon-ecs-init (1.44.1-1) stable; urgency=medium

  * Cache Agent version 1.44.1

 -- Shubham Goyal <shugy@amazon.com>  Thu, 20 Aug 2020 18:35:32 +0000

amazon-ecs-init (1.44.0-1) stable; urgency=medium

  * Cache Agent version 1.44.0
  * Add support for configuring Agent container logs

 -- Shubham Goyal <shugy@amazon.com>  Thu, 13 Aug 2020 20:39:32 +0000

amazon-ecs-init (1.43.0-2) stable; urgency=medium

  * Cache Agent version 1.43.0

 -- Feng Xiong <fenxiong@amazon.com>  Tue, 04 Aug 2020 17:22:32 +0000

amazon-ecs-init (1.42.0-1) stable; urgency=medium

  * Cache Agent version 1.42.0
  * Add a flag ECS_SKIP_LOCALHOST_TRAFFIC_FILTER to allow skipping local traffic filtering

 -- Yunhee Lee <yhlee@amazon.com>  Thu, 23 Jul 2020 17:55:00 +0000

amazon-ecs-init (1.41.1-2) stable; urgency=medium

  * Drop traffic to 127.0.0.1 that isn't originated from the host

 -- Feng Xiong <fenxiong@amazon.com>  Thu, 09 Jul 2020 00:46:00 +0000

amazon-ecs-init (1.41.1-1) stable; urgency=medium

  * Cache Agent version 1.41.1

 -- Yajie Chu <cya@amazon.com>  Mon, 06 Jul 2020 23:45:00 +0000

amazon-ecs-init (1.41.0-1) stable; urgency=medium

  * Cache Agent version 1.41.0

 -- Meghna Srivastav <mssrivas@amazon.com>  Mon, 22 Jun 2020 23:45:00 +0000

amazon-ecs-init (1.40.0-1) stable; urgency=medium

  * Cache Agent version 1.40.0

 -- Meghna Srivastav <mssrivas@amazon.com>  Tue, 02 Jun 2020 23:45:00 +0000

amazon-ecs-init (1.39.0-2) stable; urgency=medium

  * Cache Agent version 1.39.0
  * Ignore IPv6 disable failure if already disabled

 -- Yunhee Lee <yhlee@amazon.com>  Fri, 03 Apr 2020 19:04:00 +0000

amazon-ecs-init (1.38.0-1) stable; urgency=medium

  * Cache Agent version 1.38.0
  * Adds support for ECS volume plugin
  * Disable ipv6 router advertisements for optimization

 -- Sharanya Devaraj <sharanyd@amazon.com>  Thu, 19 Mar 2020 21:42:00 +0000

amazon-ecs-init (1.37.0-2) stable; urgency=medium

  * Cache Agent version 1.37.0
  * Add '/etc/alternatives' to mounts

 -- Jessie Young <youngli@amazon.com>  Sat, 22 Feb 2020 01:40:00 +0000

amazon-ecs-init (1.36.2-1) stable; urgency=medium

  * Cache Agent version 1.36.2
  * update sbin mount point to avoid conflict with Docker >= 19.03.5

 -- Ray Allan <fierlion@amazon.com>  Tue, 04 Feb 2020 22:32:00 +0000

amazon-ecs-init (1.36.1-1) stable; urgency=medium

  * Cache Agent version 1.36.1



=== packaging/generic-deb/debian/control ===
Source: amazon-ecs-init
Section: misc
Priority: optional
Maintainer: ecs-agent-dev <ecs-agent-dev@amazon.com>
Build-Depends: debhelper (>= 9.20160709~), golang-go (>= 1.7)
Standards-Version: 4.3.0
Homepage: https://aws.amazon.com/ecs
Vcs-Git: git://github.com/aws/amazon-ecs-init.git
Vcs-Browser: http://github.com/aws/amazon-ecs-init

Package: amazon-ecs-init
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, systemd, docker-ce (>= 17.12.0) | docker-engine (>= 1.6.0) | docker-ee | docker.io
Description: Starts the Amazon ECS Agent
 amazon-ecs-init may be run to register an EC2 instance as an Amazon ECS
 Container Instance.

=== packaging/generic-deb/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
VERSION := $(shell dpkg-parsechangelog -S Version)

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	./scripts/gobuild.sh debian

clean:
	dh $@
	rm -f amazon-ecs-init

override_dh_auto_install:
	cp ecs-agent.tar debian/amazon-ecs-init/var/cache/ecs/ecs-agent-v${VERSION}.tar
	echo "2" >debian/amazon-ecs-init/var/cache/ecs/state
	ln -s "/var/cache/ecs/ecs-agent-v${VERSION}.tar" debian/amazon-ecs-init/var/cache/ecs/ecs-agent.tar
	dh_installsystemd --no-start --no-enable --name=ecs
